import django_mailman3.forms

# We cannot allow users to change their username, because we use the username
# to connect LDAP users do Django users. Since there are no other options, we
# monkey-patch the UserProfileForm.

# With disabled set to True, client-side changes are ignored. So we don't
# need any more validation.
django_mailman3.forms.UserProfileForm.declared_fields['username'].disabled = True
django_mailman3.forms.UserProfileForm.declared_fields['first_name'].disabled = True
django_mailman3.forms.UserProfileForm.declared_fields['first_name'].required = False
django_mailman3.forms.UserProfileForm.declared_fields['last_name'].disabled = True
django_mailman3.forms.UserProfileForm.declared_fields['last_name'].required = False
